package de.ivu.elect.business.personenregister.entity;

import de.ivu.elect.business.person.boundary.SearchParametersMitOrdnungsmerkmal;
import de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty;

public class OrdnungsmerkmalProperty extends AbstractStringProperty {

  private final SearchParametersMitOrdnungsmerkmal searchParametersMitOrdnungsmerkmal;

  public OrdnungsmerkmalProperty(SearchParametersMitOrdnungsmerkmal searchParametersMitOrdnungsmerkmal) {
    this.searchParametersMitOrdnungsmerkmal = searchParametersMitOrdnungsmerkmal;
  }

  @Override
  public boolean getDefaultRequired() {
    return false;
  }

  @Override
  public int getDefaultMaxLength() {
    return PersonenregisterPersonendatenConstants.ORDNUNGSMERKMAL_MAX_LENGTH;
  }

  @Override
  public String getValue() {
    return searchParametersMitOrdnungsmerkmal.getOrdnungsmerkmal();
  }

  @Override
  public void setValue(String value) {
    searchParametersMitOrdnungsmerkmal.setOrdnungsmerkmal(value);
  }

  @Override
  public String getDefaultLabel() {
    return getMessage(PersonenregisterPersonendatenConstants.MESSAGE_KEY_ORDNUNGSMERKMAL_EINZAHL);
  }

}
